﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Threading.Tasks;
using Microsoft.AspNetCore.Mvc;

// For more information on enabling Web API for empty projects, visit http://go.microsoft.com/fwlink/?LinkID=397860

namespace APIHelloWorld.Controllers
{
    //[!] 어트리뷰트 라우팅
    [Route("api/[controller]")]
    //[Route("api/sub/[controller]")]
    //[Route("api/Hello")]
    public class APIHelloworldController : Controller
    { 
        // GET: api/APIHelloworld
        [HttpGet]
        public IEnumerable<string> Get()
        {
            return new string[] { "안녕하세요.", "반갑습니다." };
        }

        //[!] 라우트 매개변수
        // GET api/api/APIHelloworld/id
        //[!] 모델 바인딩 + 인라인 제약 조건(:)
        [HttpGet("{id}")]
        //[HttpGet("{id:int}")]
        public string Get(int id)
        {
            //return "value";
            return $"넘어온값 : {id}";
        }

        // POST api/values
        [HttpPost]
        public void Post([FromBody]string value)
        {
        }

        // PUT api/values/5
        [HttpPut("{id}")]
        public void Put(int id, [FromBody]string value)
        {
        }

        // DELETE api/values/5
        [HttpDelete("{id}")]
        public void Delete(int id)
        {
        }
    }
}
